package com.jxy.system.service;


import com.jxy.common.core.web.Result.AjaxResult;
import com.jxy.system.entity.StrategyLoginBody;
import com.jxy.system.entity.StrategyResetPwdBody;
import org.springframework.stereotype.Component;


/**
 * @Description 登录校验方法
 * @Date 2022/5/12 16:19
 * @Author 杜懿
 */
public interface StrategyService {

    /**
     * 登录
     * @return
     */
    public AjaxResult login(StrategyLoginBody loginBody);

    /**
     * 登录
     * @return
     */
    public AjaxResult resetPwd(StrategyResetPwdBody resetPwdBody);


    public void logout(String loginName);


}
